interface GeoMember {
    longitude: number;
    latitude: number;
    member: string;
}

interface NX {
    NX: true;
}

interface XX {
    XX: true;
}

type SetGuards = NX | XX | {};

interface GeoAddCommonOptions {
    CH: true;
}

type GeoAddOptions = SetGuards & (GeoAddCommonOptions | {});

export function transformArguments(key: string, longitude: number, latitude: number, member: string): Array<string>
export function transformArguments(key: string, toAdd: Array<GeoMember>, options: GeoAddOptions): Array<string>
export function transformArguments(key: string, longitude: number | Array<GeoMember>, latitude: number | GeoAddOptions, member?: string, options?: GeoAddOptions): Array<string> {
    const args = ['GEOADD', key];

    if (typeof longitude === 'object') {
        options = latitude;
    }

    return args;
}