import { strict as assert } from 'assert';
import RedisSocket from './socket';

describe('Socket', () => {
    describe('retryStrategy', () => {
        it('custom strategy', async () => {
            let counter = 0;
            const socket = new RedisSocket(undefined, {
                host: 'error',
                retryStrategy(retries: number) {
                    assert.equal(counter++, retries);
                    if (retries === 50) {
                        return Error('50');
                    }

                    return 0;
                }
            });

            socket.on('error', () => {
                // ignore errors
            });

            await assert.rejects(socket.connect(), {
                message: '50'
            });
        })
    });
});
